## libnice 0.0.9-0maemo3+0m5

=== debian/changelog ===
libnice (1:0.0.9-0maemo3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- reto zingg <reto.zingg@nokia.com>  Wed, 19 Aug 2009 13:43:33 +0300

libnice (1:0.0.9-0maemo3) unstable; urgency=low

  * Do not modify the foundation/username for gtalk relay candidates
  * Fixes: NB#132201: Audio not heard in receiving end during GTalk

 -- Youness Alaoui <youness.alaoui@collabora.co.uk>  Mon, 17 Aug 2009 12:38:07 -0400

libnice (1:0.0.9-0maemo2) unstable; urgency=low

  * Fix g_main_context FD leak by Olivier. Related to bug #127743

 -- Youness Alaoui <youness.alaoui@collabora.co.uk>  Mon, 10 Aug 2009 16:49:42 -0400

libnice (1:0.0.9-0maemo1) unstable; urgency=low

  * Update to 0.0.9 release
  * Adds support for setting the ToS
  * Fixes some issues with google talk connectivity

 -- Youness Alaoui <youness.alaoui@collabora.co.uk>  Fri, 31 Jul 2009 18:06:48 -0400

libnice (1:0.0.8-0maemo1) unstable; urgency=low

  * Update to 0.0.8 release
  * Correctly set the username of remote peer-reflexive candidates in google mode for early ichecks

 -- Youness Alaoui <youness.alaoui@collabora.co.uk>  Tue, 30 Jun 2009 16:09:41 -0400

libnice (1:0.0.7-0maemo3) unstable; urgency=low

  * Use a global mutex for all nice agents and use g_source_is_destroyed to avoid the race condition of a source being destroyed while we wait for the mutex
  * unlock the mutex before calling the recv callback
  * Fixes: NB#123138: random SE crash observed
  * Fixes: NB#122442: Integrate libnice API doc to sys int repository.

 -- Youness Alaoui <youness.alaoui@collabora.co.uk>  Tue, 16 Jun 2009 20:46:46 -0400

libnice (1:0.0.7-0maemo2) unstable; urgency=low

  * Use addr instead of base_addr for remote peer-reflexive discovery
  * Fixes: NB#122453: Sometimes VoIP Audio Call drops with SE crash

 -- Youness Alaoui <youness.alaoui@collabora.co.uk>  Fri, 12 Jun 2009 14:15:42 -0400

libnice (1:0.0.7-0maemo1) unstable; urgency=low

  * Keep in progress checks running if their priority is higher than the nominated pair
  * fix keepalive issue when there is network/cpu bottleneck
  * Fixes: NB#121369: Fremantle To Fremantle video call gets disconnected automatically
  * Fix foundation generation for remote peer reflexive candidates
  * Add support for droping packets when using TCP and the bandwidth is too slow for the data output

 -- Youness Alaoui <youness.alaoui@collabora.co.uk>  Thu, 11 Jun 2009 15:42:23 -0400

libnice (1:0.0.6-0maemo6) unstable; urgency=low

  * unset timer's source if they return FALSE
  * Fix interoperability with gtalk2voip.com
  * Use Thread-safe version of GUPnP Simple IGD
  * Fixes: NB#115943: Crash in s-e/libsoup
  * Fixes: NB#117078: Multi calls:A random SE crash is observed
  * Avoid a race condition where a candidate has the wrong user/pass
  * Add support for delayed setting of the remote candidates in google mode

 -- Youness Alaoui <youness.alaoui@collabora.co.uk>  Tue, 02 Jun 2009 20:18:34 -0400

libnice (1:0.0.6-0maemo5) unstable; urgency=low

  * Fix UPnP support
  * Fixes: NB#117179 - telepathy-stream-engine crashes and call disconnected when trying to make a VoIP call

 -- Youness Alaoui <youness.alaoui@collabora.co.uk>  Fri, 15 May 2009 17:36:49 -0400

libnice (1:0.0.6-0maemo4) unstable; urgency=low

  * Build against properly packaged GuPNP-IGD 

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Mon, 11 May 2009 17:40:52 -0400

libnice (1:0.0.6-0maemo3) unstable; urgency=low

  * Add upnp dependency and make it build with it 
  * Install stun header files

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Thu,  7 May 2009 16:27:24 -0400

libnice (1:0.0.6-0maemo2) unstable; urgency=low

  * Add UPnP Support to libnice
  * Fix race condition
  * Fixes: NB#113032 - Found telepathy stream engine crash for incoming gtalk call when device and t&k locked

 -- Youness Alaoui <youness.alaoui@collabora.co.uk>  Tue, 28 Apr 2009 20:02:51 -0400

libnice (1:0.0.6-0maemo1) unstable; urgency=low

  * Added a new STUN API : stun_agent_forget_transaction
  * Fix a possible crash if tcp-turn is shutdown early in the process
  * Fix a crash when a stream is removed

 -- Youness Alaoui <youness.alaoui@collabora.co.uk>  Fri, 31 Mar 2009 16:53:10 -0500

libnice (1:0.0.5-0osso4) unstable; urgency=low

  * Store 10 times more sent ids in the stun agent because we can easily reach the current limit
  * Fix a race condition crash with retransmission ticks
  * Refuse invalid relay informations to avoid a crash
  * Fixes: NB#106784 - fremantle-diablo call, remote video appearance in fremantle not consistent

 -- Youness Alaoui <youness.alaoui@collabora.co.uk>  Fri, 20 Mar 2009 10:33:18 +0200

libnice (1:0.0.5-0osso3) unstable; urgency=low

  * fix debian/changelog

 -- Reto Zingg <reto.zingg@nokia.com>  Tue, 10 Mar 2009 11:33:50 +0200

libnice (1:0.0.5-0osso2) unstable; urgency=low

  * Correctly do connectivity checks to detect peer disconnections
  * Fixes: NB#102316 - Call do not gets disconnected if the other party is unavailable.
  * Fix issue where a call with libjingle would not output any sound after 30 seconds on the libjingle side

 -- Youness Alaoui <youness.alaoui@collabora.co.uk>  Thu, 09 Mar 2009 17:16:54 -0500

libnice (1:0.0.5-0osso1) unstable; urgency=low

  * Updated to version 0.0.5 from upstream
  * Name change from nice to libnice
  * Added support for HTTP proxies
  * Added a nice_interfaces API to query the local interfaces/ips
  * Fixed libnice when used in dribble mode
  * Fix a data corruption issue with the SHA1 algorithm
  * Endianness gets checked at runtime so libnice should compile and work everywhere
  * Add compatiblity for WLM2009 ICE
  * Export libstun API and add documentation for libstun
  * Add connectivity checks during the connection to detect when the peer gets disconnected. Fixes: NB#102316
  * Bug fixes and code cleaning



=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_DH_INSTALL_SOURCEDIR=debian/tmp
DEB_CONFIGURE_EXTRA_FLAGS = --with-gstreamer --enable-gtk-doc
DEB_DH_STRIP_ARGS=--dbg-package=libnice0-dbg

CFLAGS := -g $(DEB_OPT_FLAG)

# List any files which are not installed
include /usr/share/cdbs/1/rules/utils.mk
common-binary-post-install-arch:: list-missing

debian/stamp-autotools-files:
	test -d m4 || mkdir m4
	gtkdocize
	autoreconf -v --force --install
	touch debian/stamp-autotools-files

## libnice 0.1.16

=== meson_options.txt ===
option('gupnp', type: 'feature', value: 'auto',
  description: 'Enable or disable GUPnP IGD support')
option('gstreamer', type: 'feature', value: 'auto',
  description: 'Enable or disable build of GStreamer plugins')
option('ignored-network-interface-prefix', type: 'string', value: '',
  description: 'Ignore network interfaces whose name starts with this string in the ICE connection check algorithm. For example, "virbr" to ignore virtual bridge interfaces added by virtd, which do not help in finding connectivity.')
option('crypto-library', type: 'combo', choices : ['auto', 'gnutls', 'openssl'], value : 'auto')

# Common feature options
option('examples', type : 'feature', value : 'auto', yield : true,
  description: 'Build examples')
option('tests', type : 'feature', value : 'auto', yield : true,
  description: 'Enable or disable unit tests')
option('gtk_doc', type : 'feature', value : 'disabled', yield : true,
  description: 'Generate API documentation with gtk-doc')
option('introspection', type : 'feature', value : 'auto', yield : true,
  description : 'Generate gobject-introspection bindings')

## libnice 0.0.9-0maemo7+0m5

=== debian/changelog ===
libnice (1:0.0.9-0maemo7+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- reto zingg <reto.zingg@nokia.com>  Thu, 12 Nov 2009 13:22:52 +0200

libnice (1:0.0.9-0maemo7) unstable; urgency=low

  * Catch EAGAIN error on recvfrom for UDP sockets too as it might happen for obscure reasons (bad checksum?)
  * Fixes: NB#141906:VoIP audio is lost in between active call.

 -- Youness Alaoui <youness.alaoui@collabora.co.uk>  Tue, 10 Nov 2009 14:31:25 -0400

libnice (1:0.0.9-0maemo6) unstable; urgency=low

  * Fix a crash because using the wrong variable. sorry...
  * Fixes: NB#142579:Telepathy-stream engine crash after initiating a VOIP call

 -- Youness Alaoui <youness.alaoui@collabora.co.uk>  Mon, 12 Oct 2009 13:10:31 -0400

libnice (1:0.0.9-0maemo5) unstable; urgency=low

  * Fix a bad copy/paste that made libnice not build correctly

 -- Youness Alaoui <youness.alaoui@collabora.co.uk>  Fri, 09 Oct 2009 18:56:53 -0400

libnice (1:0.0.9-0maemo4) unstable; urgency=low

  * Fix a bug where we would send hundreds of stun requests for no reason
  * Fixed some log output
  * Some performance improvements (do not prune pending checks more than necessary)
  * Fix compilation and compatibility with BSD systems.
  * Memory leak fix in the gstreamer element
  * Memory leak fix in case of a restart
  * Fix processing of pending checks multiple times when in dribble mode
  * Fix a crash in case a relay candidate could not be added
  * Fixes: NB#141946: "telepathy-stream-engine" Crash observed interacting with VOIP call and local video playback

 -- Youness Alaoui <youness.alaoui@collabora.co.uk>  Fri, 09 Oct 2009 17:23:30 -0400

=== debian/control ===
Source: libnice
Maintainer: Dafydd Harries <daf@debian.org>, Youness Alaoui <youness.alaoui@collabora.co.uk>
Standards-Version: 3.7.2
Priority: optional
Build-Depends: debhelper (>= 5.0.0),
               cdbs,
               libglib2.0-dev (>= 2.10), 
               libgstreamer0.10-dev,
               libgstreamer-plugins-base0.10-dev,
               gtk-doc-tools (>= 1.9),
               libgupnp-igd-1.0-dev (>= 0.1.3-0maemo1)

Package: libnice0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libnice
 Libnice implements traversal of network address translators (NATs) for
 peer-to-peer data streams.

Package: libnice0-dbg
Section: libdevel
Architecture: any
Depends: libnice0 (= ${binary:Version})
Description: libnice. Debug symbols
 Libnice implements traversal of network address translators (NATs) for
 peer-to-peer data streams.
 .
 Debug symbols for libnice.

Package: libnice-dev
Section: libdevel
Depends: libnice0 (= ${binary:Version})
Architecture: any
Description: development files for libnice
 Libnice implements traversal of network address translators (NATs) for
 peer-to-peer data streams.
 .
 This package provides a static library and other development files. 
 The API is unstable.

Package: libnice-gstreamer0.10
Section: libs
Depends: libnice0, ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: gstreamer plugins for libnice
 Libnice implements traversal of network address translators (NATs) for
 peer-to-peer data streams. These are Gst elements to use with libnice.
 .
 This package provides a static library and other development files. There is
 currently no dynamic library as the API is unstable.


Package: libnice-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ICE library (documentation)
 Libnice implements traversal of network address translators (NATs) for
 peer-to-peer data streams. These are Gst elements to use with libnice.
 .
 This package contains documentation for libnice.

## libnice 0.1.0

=== debian/changelog ===
libnice (0.1.0-2ubuntu1) natty; urgency=low

  * Fix test-symbols.sh test for ppc64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Feb 2011 18:34:47 +0100

libnice (0.1.0-2) unstable; urgency=low

  * Add a Breaks: libgstfarsight0.10-0 (<< 0.22) for the gstreamer plugin as
    farsight uses one libnice ABI and the gstreamer element uses another
    libnice ABI things tend to go horribly wrong.

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 07 Feb 2011 13:02:37 +0100

libnice (0.1.0-1) experimental; urgency=low

  * New upstream release.
    - Bump soname
    - Update .symbols file
  * debian/control Add libnice-dbg package

 -- Laurent Bigonville <bigon@debian.org>  Sun, 30 Jan 2011 21:07:05 +0100

libnice (0.0.13-1) experimental; urgency=low

  [ Laurent Bigonville ]
  * New upstream release.
  * Bump Standards-Version to 3.9.1 (no further changes)
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/copyright: Fix copyright file

  [ Jonny Lamb ]
  * debian/control: Add Recommends: libglib2.0-dev to
    libnice-dev. (Closes: #592740)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 12 Nov 2010 20:16:13 +0100

libnice (0.0.11-1) unstable; urgency=low

  * New upstream release.
    - debian/libnice0.symbols: Update exported symbols
  * debian/control: Bump Standards-Version (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 04 Apr 2010 17:55:41 +0200

libnice (0.0.10-2) unstable; urgency=low

  * Disable check on non-linux arch for now as they are buggy on these arch

 -- Laurent Bigonville <bigon@debian.org>  Fri, 13 Nov 2009 22:53:11 +0100

libnice (0.0.10-1) unstable; urgency=low

  * New upstream release.
    - Adjust .symbols file
  * Run checks at build time
  * Bump Standards-Version to 3.8.3 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 12 Nov 2009 00:44:39 +0100

libnice (0.0.9-2) unstable; urgency=low

  * Re-enable gupnp-igd support

 -- Laurent Bigonville <bigon@debian.org>  Thu, 06 Aug 2009 08:16:59 +0200

libnice (0.0.9-1) unstable; urgency=low

  * New upstream release.
    - Adjust .symbols file
  * debian/control: Add missing comma in build-deps (LP: #392225)
    (Closes: #537013)
  * Bump Standards-Version to 3.8.2 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 04 Aug 2009 21:29:49 +0200

libnice (0.0.8-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * New upstream release
  * Add libgupnp-igd-1.0-dev build-dep and pass --enable-gupnp to configure
  * debian/control:
    - Add explicit libglib2.0-dev build-dep
  * debian/copyright: Cleanup copyright file to please lintian
  * debian/update-patches.mk: Fix script to work with last git version

  [ Sjoerd Simons ]
  * New Upstream release (0.0.8)
  * Disable UPNP support until libgupnp-igd comes out of the NEW queue

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 21 Jun 2009 15:18:08 +0100

libnice (0.0.6-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/watch: Fix URL regex (again)

  [ Jonny Lamb ]
  * New upstream release.
  * debian/control:
    + Added myself to Uploaders.
    + Upped Standards-Version. (no changes)
    + Removed unnecessary duplicate Section field.
    + Made all short descriptions unique.
  * debian/gbp.conf: Added upstream-branch, pristine-tar fields, and
    removed no-create-orig field.
  * debian/dirs: Removed as completely unnecessary.
  * debian/libnice0.symbols: Updated with new upstream release.

 -- Jonny Lamb <jonny@debian.org>  Wed, 08 Apr 2009 02:11:30 +0100

libnice (0.0.5-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/watch: Fix URL

  [ Sjoerd Simons ]
  * New Upstream Version
  * Updates symbol and ship the stun header files

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 06 Mar 2009 16:34:10 +0000

libnice (0.0.4-1) unstable; urgency=low

  [ Simon McVittie ]
  * debian/rules: Split update-patches target into a separate file for ease
    of copying between pkg-telepathy packages
  * debian/README.source: some mostly-cosmetic changes while synching with
    Gabble

  [ Sjoerd Simons ]
  * New Upstream Version
  * copyright: Include the full text of the MPL in the copyright file
    instead of having it as a separate file, as requested by the ftp-masters
  * patches/0001-Revert-Save-the-to-from-addresses-and-put-them-in-n.patch:
    - Dropped, merged upstream
  * patches/0002-Revert-Create-a-netbuffer-directly-instead-of-using.patch
    - Dropped, merged upstream

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 21 Dec 2008 13:29:00 +0000

libnice (0.0.3-1) unstable; urgency=low

  * Initial release (Closes: #506962)
  * patches/0001-Revert-Save-the-to-from-addresses-and-put-them-in-n.patch
    patches/0002-Revert-Create-a-netbuffer-directly-instead-of-using.patch:
    - Added. Revert usage over netbuffers to prevent triggering of collision
      detection in gstreamer, which can't happen when ICE is used anyway.
      (From git://git.collabora.co.uk/git/user/tester/nice.git revert-netbuffer)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 26 Nov 2008 15:01:55 +0100

=== debian/control ===
Source: libnice
Section: libs
Priority: optional
Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
Uploaders: Dafydd Harries <daf@debian.org>,
           Simon McVittie <smcv@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>,
           Laurent Bigonville <bigon@debian.org>,
           Jonny Lamb <jonny@debian.org>
Build-Depends: cdbs,
               debhelper (>= 7),
               libglib2.0-dev (>= 2.10),
               libgstreamer0.10-dev,
               libgstreamer-plugins-base0.10-dev,
               libgupnp-igd-1.0-dev (>= 0.1.2),
               gtk-doc-tools
Standards-Version: 3.9.1
Homepage: http://nice.freedesktop.org/
Vcs-Git: git://git.debian.org/git/pkg-telepathy/libnice.git
Vcs-Browser: http://git.debian.org/?p=pkg-telepathy/libnice.git

Package: libnice10
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ICE library (shared library)
 Nice is an implementation of the IETF's draft Interactive Connectivity
 Establishment standard (ICE).  ICE is useful for applications that want to
 establish peer-to-peer UDP data streams. It automates the process of
 traversing NATs and provides security against some attacks.
 .
 Existing standards that use ICE include the Session Initiation Protocol (SIP)
 and the Jingle XMPP extension for audio/video calls.
 .
 Nice includes integration with GStreamer.
 .
 This package provides the nice library.

Package: libnice-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libnice10 (= ${binary:Version})
Recommends: libglib2.0-dev
Description: ICE library (development files)
 Nice is an implementation of the IETF's draft Interactive Connectivity
 Establishment standard (ICE).  ICE is useful for applications that want to
 establish peer-to-peer UDP data streams. It automates the process of
 traversing NATs and provides security against some attacks.
 .
 Existing standards that use ICE include the Session Initiation Protocol (SIP)
 and the Jingle XMPP extension for audio/video calls.
 .
 Nice includes integration with GStreamer.
 .
 This package provides development files for nice.

Package: gstreamer0.10-nice
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libgstfarsight0.10-0 (<< 0.0.23)
Description: ICE library (GStreamer plugin)
 Nice is an implementation of the IETF's draft Interactive Connectivity
 Establishment standard (ICE).  ICE is useful for applications that want to
 establish peer-to-peer UDP data streams. It automates the process of
 traversing NATs and provides security against some attacks.
 .
 Existing standards that use ICE include the Session Initiation Protocol (SIP)
 and the Jingle XMPP extension for audio/video calls.
 .
 Nice includes integration with GStreamer.
 .
 This package provides a GStreamer plugin for nice.

Package: libnice-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ICE library (documentation)
 Nice is an implementation of the IETF's draft Interactive Connectivity
 Establishment standard (ICE).  ICE is useful for applications that want to
 establish peer-to-peer UDP data streams. It automates the process of
 traversing NATs and provides security against some attacks.
 .
 Existing standards that use ICE include the Session Initiation Protocol (SIP)
 and the Jingle XMPP extension for audio/video calls.
 .
 Nice includes integration with GStreamer.
 .
 This package contains documentation for libnice.

Package: libnice-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libnice10 (= ${binary:Version})
Description: ICE library (debugging symbols)
 Nice is an implementation of the IETF's draft Interactive Connectivity
 Establishment standard (ICE).  ICE is useful for applications that want to
 establish peer-to-peer UDP data streams. It automates the process of
 traversing NATs and provides security against some attacks.
 .
 Existing standards that use ICE include the Session Initiation Protocol (SIP)
 and the Jingle XMPP extension for audio/video calls.
 .
 Nice includes integration with GStreamer.
 .
 This package provides debugging symbols for nice.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

# List any files which are not installed
include /usr/share/cdbs/1/rules/utils.mk
common-binary-post-install-arch:: list-missing

# Disable check on non-linux arch
ifeq ($(DEB_BUILD_ARCH_OS),linux)
  DEB_MAKE_CHECK_TARGET := check
endif

DEB_DBG_PACKAGE_libnice10 := libnice-dbg

DEB_CONFIGURE_EXTRA_FLAGS := --enable-gupnp

include $(CURDIR)/debian/update-patches.mk

## libnice 0.1.1

=== debian/changelog ===
libnice (0.1.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.2 (no further changes)
    - Make libnice-dev Depends against libglib2.0-dev instead of just
      Recommending it
  * Follow multi-arch specification

 -- Laurent Bigonville <bigon@debian.org>  Tue, 13 Sep 2011 18:28:21 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
            Sjoerd Simons <sjoerd@debian.org>,
            Laurent Bigonville <bigon@debian.org>,
            Jonny Lamb <jonny@debian.org>
-Build-Depends: cdbs,
-               debhelper (>= 7),
+Build-Depends: cdbs (>= 0.4.93~),
+               debhelper (>= 8.1.3~),
                libglib2.0-dev (>= 2.10),
                libgstreamer0.10-dev,
                libgstreamer-plugins-base0.10-dev,
                libgupnp-igd-1.0-dev (>= 0.1.2),
                gtk-doc-tools
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://nice.freedesktop.org/
 Vcs-Git: git://git.debian.org/git/pkg-telepathy/libnice.git
 Vcs-Browser: http://git.debian.org/?p=pkg-telepathy/libnice.git
@@ -22,6 +22,8 @@
 Package: libnice10
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: ICE library (shared library)
  Nice is an implementation of the IETF's draft Interactive Connectivity
  Establishment standard (ICE).  ICE is useful for applications that want to
@@ -38,8 +40,7 @@
 Package: libnice-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libnice10 (= ${binary:Version})
-Recommends: libglib2.0-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, libnice10 (= ${binary:Version}), libglib2.0-dev (>= 2.10)
 Description: ICE library (development files)
  Nice is an implementation of the IETF's draft Interactive Connectivity
  Establishment standard (ICE).  ICE is useful for applications that want to
@@ -93,6 +94,7 @@
 Priority: extra
 Architecture: any
 Depends: ${misc:Depends}, libnice10 (= ${binary:Version})
+Multi-Arch: same
 Description: ICE library (debugging symbols)
  Nice is an implementation of the IETF's draft Interactive Connectivity
  Establishment standard (ICE).  ICE is useful for applications that want to

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 
 DEB_DBG_PACKAGE_libnice10 := libnice-dbg
 
-DEB_CONFIGURE_EXTRA_FLAGS := --enable-gupnp
+DEB_CONFIGURE_EXTRA_FLAGS := --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
+	                     --enable-gupnp
 
 include $(CURDIR)/debian/update-patches.mk

## libnice 0.1.2

=== debian/changelog ===
libnice (0.1.2-1) unstable; urgency=low

  * New upstream release.
    - Bump libglib2.0-dev build-dependency
  * debian/control:
    - Bump Standards-Version to 3.9.3 (no further changes)
    - Bump libgstreamer0.10-dev build-dependency to have multiarch support
  * Install gstreamer0.10-nice into multiarch path

 -- Laurent Bigonville <bigon@debian.org>  Sun, 08 Apr 2012 00:21:29 +0200

libnice (0.1.1-2) unstable; urgency=low

  * debian/control: Update Vcs-* URL
  * debian/rules: Do not make tests fatal has they seems to fail when the
    machine is under load (Closes: #593023).

 -- Laurent Bigonville <bigon@debian.org>  Tue, 20 Dec 2011 22:36:20 +0100

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
            Jonny Lamb <jonny@debian.org>
 Build-Depends: cdbs (>= 0.4.93~),
                debhelper (>= 8.1.3~),
-               libglib2.0-dev (>= 2.10),
-               libgstreamer0.10-dev,
+               libglib2.0-dev (>= 2.13),
+               libgstreamer0.10-dev (>= 0.10.35.2-2),
                libgstreamer-plugins-base0.10-dev,
                libgupnp-igd-1.0-dev (>= 0.1.2),
                gtk-doc-tools
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://nice.freedesktop.org/
-Vcs-Git: git://git.debian.org/git/pkg-telepathy/libnice.git
-Vcs-Browser: http://git.debian.org/?p=pkg-telepathy/libnice.git
+Vcs-Git: git://anonscm.debian.org/git/pkg-telepathy/libnice.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-telepathy/libnice.git
 
 Package: libnice10
 Architecture: any
@@ -59,6 +59,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: libgstfarsight0.10-0 (<< 0.0.23)
+Multi-Arch: same
 Description: ICE library (GStreamer plugin)
  Nice is an implementation of the IETF's draft Interactive Connectivity
  Establishment standard (ICE).  ICE is useful for applications that want to

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,7 @@
 include /usr/share/cdbs/1/rules/utils.mk
 common-binary-post-install-arch:: list-missing
 
-# Disable check on non-linux arch
-ifeq ($(DEB_BUILD_ARCH_OS),linux)
-  DEB_MAKE_CHECK_TARGET := check
-endif
+DEB_MAKE_CHECK_TARGET := check || true
 
 DEB_DBG_PACKAGE_libnice10 := libnice-dbg

## libnice 0.1.3

=== debian/changelog ===
libnice (0.1.3-1) experimental; urgency=low

  * New upstream release
    * Add gstreamer 1.0 plugin

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 19 Sep 2012 20:32:58 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                libglib2.0-dev (>= 2.13),
                libgstreamer0.10-dev (>= 0.10.35.2-2),
                libgstreamer-plugins-base0.10-dev,
+               libgstreamer1.0-dev,
                libgupnp-igd-1.0-dev (>= 0.1.2),
                gtk-doc-tools
 Standards-Version: 3.9.3
@@ -69,9 +70,27 @@
  Existing standards that use ICE include the Session Initiation Protocol (SIP)
  and the Jingle XMPP extension for audio/video calls.
  .
- Nice includes integration with GStreamer.
+ Nice includes integration with GStreamer. 0.10
  .
- This package provides a GStreamer plugin for nice.
+ This package provides a GStreamer 0.10 plugin for nice.
+
+Package: gstreamer1.0-nice
+Section: net
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Description: ICE library (GStreamer plugin)
+ Nice is an implementation of the IETF's draft Interactive Connectivity
+ Establishment standard (ICE).  ICE is useful for applications that want to
+ establish peer-to-peer UDP data streams. It automates the process of
+ traversing NATs and provides security against some attacks.
+ .
+ Existing standards that use ICE include the Session Initiation Protocol (SIP)
+ and the Jingle XMPP extension for audio/video calls.
+ .
+ Nice includes integration with GStreamer1.0.
+ .
+ This package provides a GStreamer 1.0 plugin for nice.
 
 Package: libnice-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,6 @@
 DEB_DBG_PACKAGE_libnice10 := libnice-dbg
 
 DEB_CONFIGURE_EXTRA_FLAGS := --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
-	                     --enable-gupnp
+	--enable-gupnp --with-gstreamer-0.10 --with-gstreamer
 
 include $(CURDIR)/debian/update-patches.mk

## libnice 0.1.4

=== debian/changelog ===
libnice (0.1.4-1) unstable; urgency=low

  * New upstream release (Closes: #705101)
    - update debian/copyright
    - update symbols
  * Fix some Lintian warnings
    - duplicate short description
    - non-canonical Vcs-Git
  * Add dependency on autotools-dev so our old config.* get updated
  * Use dh_autoreconf
  * Get verbose output from tests
  * Standards-Version: 3.9.4 (no further changes)
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Thu, 06 Jun 2013 10:41:08 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,19 @@
            Sjoerd Simons <sjoerd@debian.org>,
            Laurent Bigonville <bigon@debian.org>,
            Jonny Lamb <jonny@debian.org>
-Build-Depends: cdbs (>= 0.4.93~),
+Build-Depends: autotools-dev,
+               cdbs (>= 0.4.93~),
                debhelper (>= 8.1.3~),
+               dh-autoreconf,
                libglib2.0-dev (>= 2.13),
                libgstreamer0.10-dev (>= 0.10.35.2-2),
                libgstreamer-plugins-base0.10-dev,
                libgstreamer1.0-dev,
                libgupnp-igd-1.0-dev (>= 0.1.2),
                gtk-doc-tools
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://nice.freedesktop.org/
-Vcs-Git: git://anonscm.debian.org/git/pkg-telepathy/libnice.git
+Vcs-Git: git://anonscm.debian.org/pkg-telepathy/libnice.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-telepathy/libnice.git
 
 Package: libnice10
@@ -61,7 +63,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: libgstfarsight0.10-0 (<< 0.0.23)
 Multi-Arch: same
-Description: ICE library (GStreamer plugin)
+Description: ICE library (GStreamer 0.10 plugin)
  Nice is an implementation of the IETF's draft Interactive Connectivity
  Establishment standard (ICE).  ICE is useful for applications that want to
  establish peer-to-peer UDP data streams. It automates the process of
@@ -70,7 +72,7 @@
  Existing standards that use ICE include the Session Initiation Protocol (SIP)
  and the Jingle XMPP extension for audio/video calls.
  .
- Nice includes integration with GStreamer. 0.10
+ Nice includes integration with GStreamer 0.10.
  .
  This package provides a GStreamer 0.10 plugin for nice.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
@@ -7,7 +8,7 @@
 include /usr/share/cdbs/1/rules/utils.mk
 common-binary-post-install-arch:: list-missing
 
-DEB_MAKE_CHECK_TARGET := check || true
+DEB_MAKE_CHECK_TARGET := check VERBOSE=1 G_MESSAGES_DEBUG=all || true
 
 DEB_DBG_PACKAGE_libnice10 := libnice-dbg

## libnice 0.1.7

=== debian/changelog ===
libnice (0.1.7-1) unstable; urgency=low

  * New upstream release 0.1.6, 0.1.7
    - fixes various compiler warnings that were mistakenly fatal in 0.1.5
      (Closes: #743232, #743233)
    - update symbols file for new API
  * Explicitly disable -Werror, even if we package a non-release in future
  * Don't run tests during the build. We were ignoring failures already,
    and they sometimes hang until the buildd terminates them.
    Upstream (Olivier Crête) says they are stable enough to be useful
    for developers, but not for integration testing.

 -- Simon McVittie <smcv@debian.org>  Wed, 14 May 2014 12:00:13 +0100

libnice (0.1.5-1) unstable; urgency=low

  * New upstream release
    - update symbols
  * Standards-Version: 3.9.5 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Wed, 26 Mar 2014 15:15:33 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libgstreamer1.0-dev,
                libgupnp-igd-1.0-dev (>= 0.1.2),
                gtk-doc-tools
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://nice.freedesktop.org/
 Vcs-Git: git://anonscm.debian.org/pkg-telepathy/libnice.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-telepathy/libnice.git

## libnice 0.1.13

=== debian/changelog ===
libnice (0.1.13-0ubuntu2) wily; urgency=medium

  * debian/control: let libnice-dev depends on libgupnp-igd-1.0-dev,
    the pkgconfig file requires it, fixes telepathy-gabble build

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 02 Oct 2015 15:39:47 +0200

libnice (0.1.13-0ubuntu1) wily; urgency=medium

  * New upstream release
  * debian/control:
    - Use standards version 3.9.6
    - Bump build-depends on libgstreamer1.0-dev, libgupnp-igd-1.0-dev
  * debian/libnice-dev.install:
    - No longer provides a static library
  * debian/libnice10.symbols:
    - Added new symbols

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 25 Jun 2015 16:09:59 +1200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libnice
 Section: libs
 Priority: optional
-Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
 Uploaders: Dafydd Harries <daf@debian.org>,
            Simon McVittie <smcv@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>,
@@ -14,10 +15,10 @@
                libglib2.0-dev (>= 2.13),
                libgstreamer0.10-dev (>= 0.10.35.2-2),
                libgstreamer-plugins-base0.10-dev,
-               libgstreamer1.0-dev,
-               libgupnp-igd-1.0-dev (>= 0.1.2),
+               libgstreamer1.0-dev  (>= 0.11.91),
+               libgupnp-igd-1.0-dev (>= 0.2.4),
                gtk-doc-tools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://nice.freedesktop.org/
 Vcs-Git: git://anonscm.debian.org/pkg-telepathy/libnice.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-telepathy/libnice.git
@@ -43,7 +44,7 @@
 Package: libnice-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libnice10 (= ${binary:Version}), libglib2.0-dev (>= 2.10)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libnice10 (= ${binary:Version}), libglib2.0-dev (>= 2.10), libgupnp-igd-1.0-dev
 Description: ICE library (development files)
  Nice is an implementation of the IETF's draft Interactive Connectivity
  Establishment standard (ICE).  ICE is useful for applications that want to

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,13 @@
 include /usr/share/cdbs/1/rules/utils.mk
 common-binary-post-install-arch:: list-missing
 
-DEB_MAKE_CHECK_TARGET := check VERBOSE=1 G_MESSAGES_DEBUG=all || true
-
 DEB_DBG_PACKAGE_libnice10 := libnice-dbg
 
 DEB_CONFIGURE_EXTRA_FLAGS := --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
-	--enable-gupnp --with-gstreamer-0.10 --with-gstreamer
+	--enable-compile-warnings=yes \
+	--enable-gupnp \
+	--with-gstreamer-0.10 \
+	--with-gstreamer \
+	$(NULL)
 
 include $(CURDIR)/debian/update-patches.mk

=== debian/watch ===
version=3
http://nice.freedesktop.org/releases/libnice\-(.*)\.tar\.gz

## libnice 0.1.14

=== debian/changelog ===
libnice (0.1.14-1) unstable; urgency=medium

  [ Jonny Lamb ]
  * Remove myself from Uploaders.

  [ Laurent Bigonville ]
  * New upstream version 0.1.14
  * debian/control: Bump Standards-Version to 4.1.0
  * debian/control: Adjust the build-dependencies
  * debian/libnice10.symbols: Add the newly exported symbols
  * debian/control: Make the -dev package depend against the gir1.2- one
  * debian/control: Use https for the Vcs- and Homepage fields
  * debian/watch: Verify the signature of the upstream tarball
  * Switch to dh sequences and bump debhelper compat to 10
  * Drop -dbg package and rely on the dbgsyms ones
  * debian/rules: Install the NEWS file as the upstream changelog

 -- Laurent Bigonville <bigon@debian.org>  Tue, 12 Sep 2017 17:06:13 +0200

libnice (0.1.13-2) unstable; urgency=medium

  * debian/control: Add libgupnp-igd-1.0-dev to the dependencies of
    the libnice-dev package

 -- Laurent Bigonville <bigon@debian.org>  Wed, 09 Dec 2015 17:12:43 +0100

libnice (0.1.13-1) unstable; urgency=medium

  * Imported Upstream version 0.1.13
  * debian/control: Bump Standards-Version to 3.9.6 (no further changes)
  * Bump debhelper compatibility to 9
  * Adjust the {build-}dependencies
  * debian/libnice-dev.install: Don't install libnice.a, NBFS anymore
  * Adjust the .symbols file
  * Start building the GObject introspection package

 -- Laurent Bigonville <bigon@debian.org>  Wed, 25 Nov 2015 18:18:59 +0100

libnice (0.1.7-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Remove myself from Uploaders

  [ Emilio Pozuelo Monfort ]
  * Drop gstreamer0.10-nice package. It has no reverse dependencies
    anymore and GStreamer 0.10 is going away. Closes: #785849.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 31 Oct 2015 13:50:29 +0100

=== debian/control ===
Source: libnice
Section: libs
Priority: optional
Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
Uploaders: Dafydd Harries <daf@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>,
           Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper (>= 10),
               gobject-introspection (>= 1.30.0),
               gtk-doc-tools,
               libgirepository1.0-dev (>= 1.30.0),
               libglib2.0-dev (>= 2.44),
               libgnutls28-dev (>= 2.12.0),
               libgstreamer1.0-dev,
               libgupnp-igd-1.0-dev (>= 0.2.4)
Standards-Version: 4.1.0
Homepage: https://nice.freedesktop.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-telepathy/libnice.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-telepathy/libnice.git/

Package: libnice10
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: ICE library (shared library)
 Nice is an implementation of the IETF's draft Interactive Connectivity
 Establishment standard (ICE).  ICE is useful for applications that want to
 establish peer-to-peer UDP data streams. It automates the process of
 traversing NATs and provides security against some attacks.
 .
 Existing standards that use ICE include the Session Initiation Protocol (SIP)
 and the Jingle XMPP extension for audio/video calls.
 .
 Nice includes integration with GStreamer.
 .
 This package provides the nice library.

Package: libnice-dev
Section: libdevel
Architecture: any
Depends: gir1.2-nice-0.1 (= ${binary:Version}),
         libglib2.0-dev (>= 2.44),
         libgnutls28-dev (>= 2.12.0),
         libgupnp-igd-1.0-dev (>= 0.2.4),
         libnice10 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: ICE library (development files)
 Nice is an implementation of the IETF's draft Interactive Connectivity
 Establishment standard (ICE).  ICE is useful for applications that want to
 establish peer-to-peer UDP data streams. It automates the process of
 traversing NATs and provides security against some attacks.
 .
 Existing standards that use ICE include the Session Initiation Protocol (SIP)
 and the Jingle XMPP extension for audio/video calls.
 .
 Nice includes integration with GStreamer.
 .
 This package provides development files for nice.

Package: gstreamer1.0-nice
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: ICE library (GStreamer plugin)
 Nice is an implementation of the IETF's draft Interactive Connectivity
 Establishment standard (ICE).  ICE is useful for applications that want to
 establish peer-to-peer UDP data streams. It automates the process of
 traversing NATs and provides security against some attacks.
 .
 Existing standards that use ICE include the Session Initiation Protocol (SIP)
 and the Jingle XMPP extension for audio/video calls.
 .
 Nice includes integration with GStreamer1.0.
 .
 This package provides a GStreamer 1.0 plugin for nice.

Package: libnice-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ICE library (documentation)
 Nice is an implementation of the IETF's draft Interactive Connectivity
 Establishment standard (ICE).  ICE is useful for applications that want to
 establish peer-to-peer UDP data streams. It automates the process of
 traversing NATs and provides security against some attacks.
 .
 Existing standards that use ICE include the Session Initiation Protocol (SIP)
 and the Jingle XMPP extension for audio/video calls.
 .
 Nice includes integration with GStreamer.
 .
 This package contains documentation for libnice.

Package: gir1.2-nice-0.1
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: ICE library (GObject introspection)
 Nice is an implementation of the IETF's draft Interactive Connectivity
 Establishment standard (ICE).  ICE is useful for applications that want to
 establish peer-to-peer UDP data streams. It automates the process of
 traversing NATs and provides security against some attacks.
 .
 Existing standards that use ICE include the Session Initiation Protocol (SIP)
 and the Jingle XMPP extension for audio/video calls.
 .
 Nice includes integration with GStreamer.
 .
 This package provides the GObject introspection binding.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	                     --enable-compile-warnings=yes \
	                     --enable-gupnp \
	                     --with-gstreamer \
	                     --enable-introspection

override_dh_install:
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --dbgsym-migration='libnice-dbg (<< 0.1.14)'

override_dh_auto_test:

## libnice 0.1.16

=== debian/changelog ===
libnice (0.1.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. Closes: #941977.
  * Remove Dafydd from uploaders.
  * Bump glib dependency.
  * libnice10.symbols: add Build-Depends-Package field.
  * libnice10.symbols: add new symbols.
  * Update Vcs for salsa.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 16 Oct 2019 10:20:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,20 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
-Uploaders: Dafydd Harries <daf@debian.org>,
-           Sjoerd Simons <sjoerd@debian.org>,
+Uploaders: Sjoerd Simons <sjoerd@debian.org>,
            Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 10),
                gobject-introspection (>= 1.30.0),
                gtk-doc-tools,
                libgirepository1.0-dev (>= 1.30.0),
-               libglib2.0-dev (>= 2.44),
+               libglib2.0-dev (>= 2.48),
                libgnutls28-dev (>= 2.12.0),
                libgstreamer1.0-dev,
                libgupnp-igd-1.0-dev (>= 0.2.4)
 Standards-Version: 4.1.0
 Homepage: https://nice.freedesktop.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-telepathy/libnice.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-telepathy/libnice.git/
+Vcs-Git: https://salsa.debian.org/telepathy-team/libnice.git
+Vcs-Browser: https://salsa.debian.org/telepathy-team/libnice
 
 Package: libnice10
 Architecture: any
@@ -40,7 +39,7 @@
 Section: libdevel
 Architecture: any
 Depends: gir1.2-nice-0.1 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.44),
+         libglib2.0-dev (>= 2.48),
          libgnutls28-dev (>= 2.12.0),
          libgupnp-igd-1.0-dev (>= 0.2.4),
          libnice10 (= ${binary:Version}),

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://nice.freedesktop.org/releases/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## libnice 0.1.18

=== debian/changelog ===
libnice (0.1.18-2) unstable; urgency=medium

  * debian/rules: Add graphviz to the BDI, that should fix the FTBFS
    (Closes: #997216)
  * debian/control: Bump Standards-Version to 4.6.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 02 Jan 2022 10:52:32 +0100

libnice (0.1.18-1) unstable; urgency=medium

  * New upstream release. Closes: #963066
    - debian/control: Add BD against meson and bump libglib2.0-dev to >= 2.54
    - debian/rules: Switch configure options to meson ones
    - debian/libnice10.symbols: Add newly exported symbol
  * Only build the documentation is the libnice-doc package is actually built
    Also add libglib2.0-doc to the BDI to properly resolve links between
    documentation files
  * debian/control: Bump Standards-Version to 4.5.1 (no further changes)
  * Bump debhelper compatibility to 13
  * debian/control: Add Multi-Arch field to libnice-doc and libnice-dev
  * debian/control: Add Rules-Requires-Root field

 -- Laurent Bigonville <bigon@debian.org>  Tue, 17 Aug 2021 12:29:34 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,22 @@
 Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
 Uploaders: Sjoerd Simons <sjoerd@debian.org>,
            Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                gobject-introspection (>= 1.30.0),
-               gtk-doc-tools,
                libgirepository1.0-dev (>= 1.30.0),
-               libglib2.0-dev (>= 2.48),
+               libglib2.0-dev (>= 2.54),
                libgnutls28-dev (>= 2.12.0),
                libgstreamer1.0-dev,
-               libgupnp-igd-1.0-dev (>= 0.2.4)
-Standards-Version: 4.1.0
+               libgupnp-igd-1.0-dev (>= 0.2.4),
+               meson (>= 0.52)
+Build-Depends-Indep: graphviz <!nodoc>,
+                     gtk-doc-tools <!nodoc>,
+                     libglib2.0-doc <!nodoc>
+Standards-Version: 4.6.0
 Homepage: https://nice.freedesktop.org/
 Vcs-Git: https://salsa.debian.org/telepathy-team/libnice.git
 Vcs-Browser: https://salsa.debian.org/telepathy-team/libnice
+Rules-Requires-Root: no
 
 Package: libnice10
 Architecture: any
@@ -45,6 +49,7 @@
          libnice10 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Multi-Arch: same
 Description: ICE library (development files)
  Nice is an implementation of the IETF's draft Interactive Connectivity
  Establishment standard (ICE).  ICE is useful for applications that want to
@@ -80,6 +85,8 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Build-Profiles: <!nodoc>
+Multi-Arch: foreign
 Description: ICE library (documentation)
  Nice is an implementation of the IETF's draft Interactive Connectivity
  Establishment standard (ICE).  ICE is useful for applications that want to

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter libnice-doc,$(shell dh_listpackages)))
  BUILD_DOCS:=-Dgtk_doc=enabled
else
  BUILD_DOCS:=-Dgtk_doc=disabled
endif

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- -Dgupnp=enabled \
	                     -Dgstreamer=enabled \
	                     -Dintrospection=enabled \
			     $(BUILD_DOCS)

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --dbgsym-migration='libnice-dbg (<< 0.1.14)'

override_dh_auto_test:
